Package twisted :: Package internet :: Module unix :: Class Server |
[frames | no frames]

## Class Server

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                    Server --+
                             |
                            Server

Method Summary
| ``__init__`(self, sock, protocol, client, server, sessionno)` Server(sock, protocol, client, server, sessionno)
| ``getHost`(self)` Returns a tuple of ('INET', hostname, port).
| ``getPeer`(self)` Returns a tuple of ('INET', hostname, port), indicating the connected client's address.
Inherited from Server
| ``__repr__`(self)` A string representation of this connection.
| ``startTLS`(self, ctx, server)`
Inherited from Connection
| ``_closeSocket`(self)` Called to close our socket.
| ``_startTLS`(self)`
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost().
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data.
| ``getTcpKeepAlive`(self)`
| ``getTcpNoDelay`(self)`
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread.
| ``setTcpKeepAlive`(self, enabled)`
| ``setTcpNoDelay`(self, enabled)`
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative)
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from Connection
`tuple` | `__implements__` = `((<class twisted.internet.interfaces.IP...`
`str` | `logstr` = `'Uninitialized'`
`int` | `TLS` = 0
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### __init__(self, sock, protocol, client, server, sessionno) (Constructor) Server(sock, protocol, client, server, sessionno) Initialize me with a socket, a protocol, a descriptor for my peer (a tuple of host, port describing the other end of the connection), an instance of Port, and a session number. Overrides: `twisted.internet.tcp.Server.__init__` (inherited documentation)

### getHost(self) Returns a tuple of ('INET', hostname, port). This indicates the servers address. Overrides: `twisted.internet.tcp.Server.getHost` (inherited documentation)

### getPeer(self) Returns a tuple of ('INET', hostname, port), indicating the connected client's address. Overrides: `twisted.internet.tcp.Server.getPeer` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:43 2003 | http://epydoc.sf.net